## org.bn.compiler.parser.model
Class AsnChoice

    java.lang.Object
      org.bn.compiler.parser.model.AsnChoice

    public class AsnChoice

extends java.lang.Object

Field Summary
`AsnElementTypeList` `elementTypeList`
`boolean` `isChoice`
`java.lang.String` `name`

Constructor Summary
`AsnChoice()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### elementTypeList

    public AsnElementTypeList elementTypeList

### name

    public java.lang.String name

### isChoice

    public final boolean isChoice

See Also:
  Constant Field Values

Constructor Detail

### AsnChoice

    public AsnChoice()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`